posts - 189,comments - 115,trackbacks - 0
Java环境配置大全
安装JDK

从http://Java.sun.com/下载jdk-1_5_0_04-windows-i586-p.exe

安装到指定路径,我选择D:\jdk1.5.0

配置环境变量:

Java_HOME: D:\jdk1.5.0
PATH: D:\jdk1.5.0\bin;
CLASSPATH: .;D:\jdk1.5.0\lib\tools.jar;
D:\jdk1.5.0\jre\lib\rt.jar;

安装WTK

从http://Java.sun.com/下载j2me_wireless_toolkit-2_2-windows.exe

安装到指定路径,我选择D:\WTK22

安装Eclipse

从http://www.eclipse.org/下载eclipse-SDK-3.0.1-win32.zip和

NLpack-eclipse-SDK-3.0.x-win32.zip(语言包)

解压缩eclipse-SDK-3.0.1-win32.zip即可,我的路径:D:\MyDevelopTools\eclipse

解压缩NLpack-eclipse-SDK-3.0.x-win32.zip,得到features和plugins两个文件夹,把里面的文件分别拷入eclipse中相应的目录下即可

安装Tomcat

从http://jakarta.apache.org/下载jakarta-tomcat-5.5.9.zip

解压缩jakarta-tomcat-5.5.9.zip即可

配置环境变量:

Tomcat_Home: D:\MyDevelopTools\tomcat-5.5.9

PATH: D:\MyDevelopTools\tomcat-5.5.9;

在eclipse中配置J2ME开发环境:

安装eclipseme:

从http://www.eclipseme.org/下载eclipseme.feature_0.9.4_site.zip,在eclipse中选择帮助-〉软件更新-〉查找并安装-〉搜索要安装的新功能部件-〉新建已归档的站点。选择eclipseme.feature_0.9.4_site.zip,打开-〉选择eclipseme.feature_0.9.4_site.zip,剩下的一直下一步就可以了。安装完成会在窗口-〉首选项中出现J2ME

修改Java-〉调试:

选中Java-〉调试,把暂挂执行的前两项点去,通信中的调试器超时改为15000

配置WTK

窗口-〉首选项-〉J2ME-〉Platform Components

右键单击对话框右侧的Wireless Toolkit,选择Add Wireless Toolkit,

选择WTK安装目录,eclipse会自动匹配。

在eclipse中配置J2EE开发环境(Tomcat5.5.9):

安装EMF-RunTime:

从http://www.eclipseme.org/下载emf-sdo-runtime-2.0.1.zip

解压缩emf-sdo-runtime-2.0.1.zip,得到features和plugins两个文件夹,把里面的文件分别拷入eclipse中相应的目录下即可。

安装Lomboz:

从http://forge.objectweb.org下载org.objectweb.lomboz_3.0.1.N20050106.zip解压缩org.objectweb.lomboz_3.0.1.N20050106.zip,得到features和plugins两个文件夹,把里面的文件分别拷入eclipse中相应的目录下。如果在窗口-〉首选项中有Lomboz选项就安装正确,如果没有,在D:\eclipse\configuration\下删除org.eclipse.update这个文件夹,再重起eclipse就可以了。

配置Lomboz:

在D:\eclipse\plugins\com.objectlearn.jdt.j2ee_3.0.1\servers下新建一个文件tomcat559.server,里面的内容从tomcat50x.server全部复制过来,把name="Apache Tomcat v5.0.x"替换成name="Apache Tomcat v5.5.9",然后把所有的

“${serverRootDirectory}/bin;${serverRootDirectory}/common/endorsed”替换成

“${serverRootDirectory}/common/endorsed”就可以了。然后进入eclipse,窗口-〉首选项-〉Lomboz,把JDK Tools.jar改为:D:\jdk1.5.0\lib\tools.jar,窗口-〉首选项-〉Lomboz-〉Server Definitions,在Server types中选择Tomcat5.5.9在Application Server Directory和Classpath Variable的路径改为D:/MyDevelopTools/tomcat-5.5.9先应用,再确定就可以了。
posted on 2006-03-16 11:18 MEYE 阅读(109) 评论(0)  编辑  收藏 所属分类: JAVA

只有注册用户登录后才能发表评论。


网站导航: